﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;
using System.Collections.ObjectModel;

namespace CellValuePresenterToolTip
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Data = new ObservableCollection<Data>();

            Random r = new Random();

            for (int i = 0; i < 10; i++)
            {
                Data.Add(new Data { ID = i, Value1 = r.Next(10000), Value2 = r.Next(10000) });
            }

            DataContext = this;
        }

        public ObservableCollection<Data> Data { get; set; }

        private void XamDataGrid_FieldLayoutInitialized(object sender, Infragistics.Windows.DataPresenter.Events.FieldLayoutInitializedEventArgs e)
        {
            Style cellStyle = this.Resources["TextCellStyle"] as Style;
            e.FieldLayout.FieldSettings.CellValuePresenterStyle = cellStyle;

        }
    }

    public class Data
    {
        public int ID { get; set; }
        public int Value1 { get; set; }
        public int Value2 { get; set; }

    }

    public class CellToToolTipConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            if (value != null && value is CellValuePresenter)
            {
                return "ID : " + (value as CellValuePresenter).Record.Cells["ID"].Value;
            }
            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

}
